Provide Puppet (CA) multi homing
02/26/2019 02:58 PM - Ewoud Kohl van Wijngaarden

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden
Category: Puppet integration

Target version:

Difficulty: Fixed in Releases: 1.24.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6513
Description

Currently the generated puppetmaster and puppet_ca_server hostnames are the same as the smart proxy.
This isn't always the case. When you have a setup:
Foreman <-> Smart Proxy <-> Hosts

Here you have a private LAN between Foreman and its Smart Proxies. There is another network which has hosts. Here you'd have
the Puppet (CA) on the host network. In hostnames:

e foreman.lan.example.com (192.0.2.2)

e proxy.lan.example.com (192.0.2.3)

e proxy.wan.example.com (198.51.100.3)

¢ puppet.wan.example.com (198.51.100.4)

¢ puppetca.wan.example.com (198.51.100.5)
In /etc/foreman-proxy/settings.d/puppet_proxy_puppet_api.yml you'd configure:
:puppet_url: https://puppet.wan.example.com:8140
In /etc/foreman-proxy/settings.d/puppetca_http_api.yml (Proxy 1.22) you'd configure:

:puppet_url: https://puppetca.wan.example.com:8140

By using the new capabilities framework we can expose these settings to Foreman. Foreman can use these to present the correct
hostnames, like in the provisioning templates.

Related issues:
Related to Foreman - Feature #4345: Puppet CA proxy New 02/14/2014
Related to Smart Proxy - Feature #26322: Expose the Puppet APl URLs Closed

Associated revisions

Revision ¢2317d44 - 09/09/2019 11:25 AM - Ewoud Kohl van Wijngaarden
Fixes #26164 - Use the proxy configured puppet_url

When the proxy exposes the puppet_url setting for the Puppet or Puppet
CA features this can be used to provide multi homing.

An additional benefit is that we support using a non-standard port for
both the Puppet master and the CA.

History

#1 - 02/26/2019 02:58 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden
- Pull request https://github.com/theforeman/foreman/pull/6513 added

#2 - 02/26/2019 03:07 PM - Ewoud Kohl van Wijngaarden
- Related to Feature #4345: Puppet CA proxy added

#3 - 03/12/2019 03:09 PM - Ewoud Kohl van Wijngaarden
- Related to Feature #26322: Expose the Puppet APl URLs added

#4 - 05/20/2019 07:50 AM - Tomer Brisker
- Target version changed from 1.22.0 to 1.23.0

Looks like this didn't make it in to 1.22.

#5 - 07/31/2019 01:21 PM - Tomer Brisker
- Target version deleted (1.23.0)

this is still wip and missed the 1.23 branching.

#6 - 09/09/2019 11:25 AM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#7 - 09/09/2019 12:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset c2317d4430325be04df9ddfe65f47223b7733b8b.

#8 - 10/24/2019 12:51 PM - Amit Upadhye
- Category set to PuppetCA

#9 - 10/24/2019 12:57 PM - Ewoud Kohl van Wijngaarden
- Category changed from PuppetCA to Puppet integration
